import API from "@src/api";

export default {
   /** 奖品数据 */
   prizeInfo: {},
   /** 设置奖品数据 */
   setPrizeInfo(data) {
     this.prizeInfo = data;
   },
   /** 抽奖组件-查询首页接口 */
   async drawPrizeHome() {
     const { data, success } = await API.drawPrizeHome();
     if (data && success) {
       this.setPrizeInfo(data);
     }
   },
 
   /** 抽奖数据 */
   drawPrizeInfo: {},
   /** 设置抽奖数据 */
   setDrawPrizeInfo(data) {
     this.drawPrizeInfo = data;
   },
}